#pragma once

#include "CoreMinimal.h"
#include "DBDTunableRowHandle.h"
#include "AlertModeConfig.generated.h"

USTRUCT(BlueprintType)
struct FAlertModeConfig
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle PercentChance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle CooldownDuration;

public:
	WINTEREVENT2024_API FAlertModeConfig();
};

FORCEINLINE uint32 GetTypeHash(const FAlertModeConfig) { return 0; }
